﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\RPAP_constraint.sql **/
 EXEC P_ALTERPK 'PK_T_RPAP_PROCESSUSEREG', 'T_RPAP_PROCESSUSEREG', 'FUSEORGID,FDATAID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_RPAP_PROCESSUREG_CO') CREATE  CLUSTERED INDEX IDX_RPAP_PROCESSUREG_CO ON T_RPAP_PROCESSUSEREG ( FCREATEORGID );


 EXEC P_ALTERPK 'PK_T_RPAP_PROCESSEXC', 'T_RPAP_PROCESSEXC', 'FDATAID,FUSEORGID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_RPAP_PROCESSEXC_UO') CREATE  CLUSTERED INDEX IDX_RPAP_PROCESSEXC_UO ON T_RPAP_PROCESSEXC ( FCREATEORGID ,FUSEORGID );


 EXEC P_ALTERPK 'PK_T_RPAP_PROCESS_U', 'T_RPAP_PROCESS_U', 'FDATAID,FUSEORGID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_RPAP_PROCESS_U_CO') CREATE  CLUSTERED INDEX IDX_RPAP_PROCESS_U_CO ON T_RPAP_PROCESS_U ( FCREATEORGID );


 EXEC P_ALTERPK 'PK_T_RPAP_PROCESS_R3', 'T_RPAP_PROCESS_R3', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_RPAP_PROCESS_R3_STATUS') CREATE  CLUSTERED INDEX IDX_RPAP_PROCESS_R3_STATUS ON T_RPAP_PROCESS_R3 ( FREFSTATUS );


 EXEC P_ALTERPK 'PK_T_RPAP_PROCESS_L', 'T_RPAP_PROCESS_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_RPAP_PROCESS_L_FID') CREATE INDEX IDX_T_RPAP_PROCESS_L_FID ON T_RPAP_PROCESS_L ( FID );


 EXEC P_ALTERPK 'PK_T_RPAP_ARGUMENTENTRY', 'T_RPAP_ARGUMENTENTRY', 'FENTRYID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_RPAP_ARGENTRY_FID') CREATE  CLUSTERED INDEX IDX_T_RPAP_ARGENTRY_FID ON T_RPAP_ARGUMENTENTRY ( FID );


 EXEC P_ALTERPK 'PK_T_RPAP_PROCESSVERSION_R3', 'T_RPAP_PROCESSVERSION_R3', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PROCVERSION_R3_STATUS') CREATE  CLUSTERED INDEX IDX_PROCVERSION_R3_STATUS ON T_RPAP_PROCESSVERSION_R3 ( FREFSTATUS );


 EXEC P_ALTERPK 'PK_T_RPAP_PROCESSVERSION_L', 'T_RPAP_PROCESSVERSION_L', 'FPKID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PROCESSVERSION_L_FID') CREATE  CLUSTERED INDEX IDX_PROCESSVERSION_L_FID ON T_RPAP_PROCESSVERSION_L ( FID );


 EXEC P_ALTERPK 'PK_T_RPAP_PROCESSVERSION', 'T_RPAP_PROCESSVERSION', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PROCVERSION_PROCESS') CREATE  CLUSTERED INDEX IDX_PROCVERSION_PROCESS ON T_RPAP_PROCESSVERSION ( FPROCESS );


 EXEC P_ALTERPK 'PK_T_RPAP_PROCESS', 'T_RPAP_PROCESS', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_RPAP_PROCESS_ORGID') CREATE INDEX IDX_T_RPAP_PROCESS_ORGID ON T_RPAP_PROCESS ( FORGID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_RPAP_PROCESS_EXTERNALID') CREATE  CLUSTERED INDEX IDX_RPAP_PROCESS_EXTERNALID ON T_RPAP_PROCESS ( FEXTERNALID ,FTHIRDTYPEID );


 EXEC P_ALTERPK 'PK_T_RPAP_ROBOTUSEREG', 'T_RPAP_ROBOTUSEREG', 'FUSEORGID,FDATAID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_RPAP_ROBOTUSEREG_CO') CREATE  CLUSTERED INDEX IDX_RPAP_ROBOTUSEREG_CO ON T_RPAP_ROBOTUSEREG ( FCREATEORGID );


 EXEC P_ALTERPK 'PK_T_RPAP_ROBOTEXC', 'T_RPAP_ROBOTEXC', 'FDATAID,FUSEORGID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_RPAP_ROBOTEXC_CO') CREATE  CLUSTERED INDEX IDX_RPAP_ROBOTEXC_CO ON T_RPAP_ROBOTEXC ( FCREATEORGID );


 EXEC P_ALTERPK 'PK_T_RPAP_ROBOT_U', 'T_RPAP_ROBOT_U', 'FDATAID,FUSEORGID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_RPAP_ROBOT_U_UO') CREATE  CLUSTERED INDEX IDX_T_RPAP_ROBOT_U_UO ON T_RPAP_ROBOT_U ( FUSEORGID );


 EXEC P_ALTERPK 'PK_T_RPAP_ROBOT_R3', 'T_RPAP_ROBOT_R3', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_RPAP_ROBOT_R3_STATUS') CREATE  CLUSTERED INDEX IDX_RPAP_ROBOT_R3_STATUS ON T_RPAP_ROBOT_R3 ( FREFSTATUS );


 EXEC P_ALTERPK 'PK_T_RPAP_ROBOT_L', 'T_RPAP_ROBOT_L', 'FPKID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_RPAP_ROBOT_L_FID') CREATE  CLUSTERED INDEX IDX_T_RPAP_ROBOT_L_FID ON T_RPAP_ROBOT_L ( FID );


 EXEC P_ALTERPK 'PK_T_RPAP_ROBOT', 'T_RPAP_ROBOT', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_RPAP_ROBOT_ORGID') CREATE INDEX IDX_T_RPAP_ROBOT_ORGID ON T_RPAP_ROBOT ( FORGID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_RPAP_ROBOT_EXTERNALID') CREATE  CLUSTERED INDEX IDX_RPAP_ROBOT_EXTERNALID ON T_RPAP_ROBOT ( FEXTERNALID ,FTHIRDTYPEID );


 EXEC P_ALTERPK 'PK_T_RPAP_USER_TYPE_R3', 'T_RPAP_USER_TYPE_R3', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_USER_TYPE_R3_STATUS') CREATE  CLUSTERED INDEX IDX_USER_TYPE_R3_STATUS ON T_RPAP_USER_TYPE_R3 ( FREFSTATUS );


 EXEC P_ALTERPK 'PK_T_RPAP_USER_TYPE_L', 'T_RPAP_USER_TYPE_L', 'FPKID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_RPAP_USER_TYPE_L_FID') CREATE  CLUSTERED INDEX IDX_RPAP_USER_TYPE_L_FID ON T_RPAP_USER_TYPE_L ( FID );


 EXEC P_ALTERPK 'PK_T_RPAP_THIRDTYPE_R3', 'T_RPAP_THIRDTYPE_R3', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_THIRDTYPE_R3_STATUS') CREATE  CLUSTERED INDEX IDX_THIRDTYPE_R3_STATUS ON T_RPAP_THIRDTYPE_R3 ( FREFSTATUS );


 EXEC P_ALTERPK 'PK_T_RPAP_THIRDTYPE_L', 'T_RPAP_THIRDTYPE_L', 'FPKID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_RPAP_THIRDTYPE_L_FID') CREATE  CLUSTERED INDEX IDX_T_RPAP_THIRDTYPE_L_FID ON T_RPAP_THIRDTYPE_L ( FID );


 EXEC P_ALTERPK 'PK_T_RPAP_ISRPA_LICENSE_R3', 'T_RPAP_ISRPA_LICENSE_R3', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISRPA_LIC_R3_STATUS') CREATE  CLUSTERED INDEX IDX_ISRPA_LIC_R3_STATUS ON T_RPAP_ISRPA_LICENSE_R3 ( FREFSTATUS );


 EXEC P_ALTERPK 'PK_T_RPAP_ISRPA_LICENSE_L', 'T_RPAP_ISRPA_LICENSE_L', 'FPKID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISRPA_LICENSE_L_FID') CREATE  CLUSTERED INDEX IDX_ISRPA_LICENSE_L_FID ON T_RPAP_ISRPA_LICENSE_L ( FID );


 EXEC P_ALTERPK 'PK_RPAP_ISRPA_LICENSE_BIND_R3', 'T_RPAP_ISRPA_LICENSE_BIND_R3', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISRPA_LIC_BIND_R3_STATUS') CREATE INDEX IDX_ISRPA_LIC_BIND_R3_STATUS ON T_RPAP_ISRPA_LICENSE_BIND_R3 ( FREFSTATUS );


 EXEC P_ALTERPK 'PK_T_RPAP_ISRPA_LICENSE_BIND_L', 'T_RPAP_ISRPA_LICENSE_BIND_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISRPA_LICENSE_BIND_L') CREATE INDEX IDX_ISRPA_LICENSE_BIND_L ON T_RPAP_ISRPA_LICENSE_BIND_L ( FID );


 EXEC P_ALTERPK 'PK_T_RPAP_CONFIG_SETTING_R3', 'T_RPAP_CONFIG_SETTING_R3', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CONFIG_SETTING_R3_STATUS') CREATE  CLUSTERED INDEX IDX_CONFIG_SETTING_R3_STATUS ON T_RPAP_CONFIG_SETTING_R3 ( FREFSTATUS );


 EXEC P_ALTERPK 'PK_T_RPAP_CONFIG_SETTING_L', 'T_RPAP_CONFIG_SETTING_L', 'FPKID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CONFIG_SETTING_L_FID') CREATE  CLUSTERED INDEX IDX_CONFIG_SETTING_L_FID ON T_RPAP_CONFIG_SETTING_L ( FID );


 EXEC P_ALTERPK 'PK_T_RPAP_USER_TYPE', 'T_RPAP_USER_TYPE', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_RPAP_USER_TYPE_USERID') CREATE  CLUSTERED INDEX IDX_RPAP_USER_TYPE_USERID ON T_RPAP_USER_TYPE ( FUSERID );


 EXEC P_ALTERPK 'PK_T_RPAP_ISRPA_LICENSE_BIND', 'T_RPAP_ISRPA_LICENSE_BIND', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISRPA_LICENSE_BIND_NUM') CREATE  CLUSTERED INDEX IDX_ISRPA_LICENSE_BIND_NUM ON T_RPAP_ISRPA_LICENSE_BIND ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_RPAP_ISRPA_LICENSE', 'T_RPAP_ISRPA_LICENSE', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISRPA_LICENSE_NUMBER') CREATE  CLUSTERED INDEX IDX_ISRPA_LICENSE_NUMBER ON T_RPAP_ISRPA_LICENSE ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_RPAP_CONFIG_SETTING', 'T_RPAP_CONFIG_SETTING', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_RPAP_CONFIG_SETTING_APPID') CREATE  CLUSTERED INDEX IDX_RPAP_CONFIG_SETTING_APPID ON T_RPAP_CONFIG_SETTING ( FAPPID );


 EXEC P_ALTERPK 'PK_T_RPAP_THIRDTYPE', 'T_RPAP_THIRDTYPE', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_RPAP_THIRDTYPE_TYPE') CREATE  CLUSTERED INDEX IDX_RPAP_THIRDTYPE_TYPE ON T_RPAP_THIRDTYPE ( FTYPE );



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\RPAP_constraint.sql **/
