﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\RPAP_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_RPAP_TASK' AND KSQL_COL_NAME ='FEXCEPTIONDESC') 
 ALTER TABLE T_RPAP_TASK ADD (FEXCEPTIONDESC VARCHAR(100) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_RPAP_TASK' AND KSQL_COL_NAME ='FBPLANTASKID') 
 ALTER TABLE T_RPAP_TASK ADD (FBPLANTASKID VARCHAR(30) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_RPAP_TASK' AND KSQL_COL_NAME ='FBATCHNUMBER') 
 ALTER TABLE T_RPAP_TASK ADD (FBATCHNUMBER VARCHAR(10) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_RPAP_TASK' AND KSQL_COL_NAME ='FSENDSUM') 
 ALTER TABLE T_RPAP_TASK ADD (FSENDSUM VARCHAR(10) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_RPAP_PLANTASK_PROCESS') 
 CREATE TABLE T_RPAP_PLANTASK_PROCESS (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FPROCESS BIGINT DEFAULT 0 NOT NULL,
FARGUMENTS NCLOB
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_RPAP_PLANTASK') 
 CREATE TABLE T_RPAP_PLANTASK (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(30) DEFAULT 'A' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FENABLE VARCHAR(30) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FPLANNAME VARCHAR(100) DEFAULT ' ' NOT NULL,
FROBOT BIGINT DEFAULT 0 NOT NULL,
FEFFECTIVESTARTTIME DATETIME,
FEFFECTIVEENDTIME DATETIME,
FREPEATCYCLE VARCHAR(10) DEFAULT ' ' NOT NULL,
FMIN VARCHAR(10) DEFAULT ' ' NOT NULL,
FHOUR VARCHAR(10) DEFAULT ' ' NOT NULL,
FWEEK VARCHAR(50) DEFAULT ' ' NOT NULL,
FMONTH VARCHAR(30) DEFAULT ' ' NOT NULL,
FDAY VARCHAR(100) DEFAULT ' ' NOT NULL,
FEXECUTESTARTTIME INT DEFAULT 0 NOT NULL,
FEXECUTEENDTIME INT DEFAULT 0 NOT NULL,
FDESCRIPTION VARCHAR(255) DEFAULT ' ' NOT NULL,
FDESCRIPTION_TAG NCLOB,
FEXECUTETIME INT DEFAULT 0 NOT NULL,
FEXCUTENUM BIGINT DEFAULT 0 NOT NULL,
FLASTEXCUTETIME DATETIME,
FISDELETE VARCHAR(10) DEFAULT '0' NOT NULL,
FEXECUTETIMEDESC VARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_RPAP_ISRPA_LICENSE' AND KSQL_COL_NAME ='FUSEDRBCOUNT') 
 ALTER TABLE T_RPAP_ISRPA_LICENSE ADD (FUSEDRBCOUNT BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_RPAP_ISRPA_LICENSE' AND KSQL_COL_NAME ='FUSEDDECOUNT') 
 ALTER TABLE T_RPAP_ISRPA_LICENSE ADD (FUSEDDECOUNT BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_RPAP_ISRPA_LICENSE_BIND' AND KSQL_COL_NAME ='FUSERORGNAME') 
 ALTER TABLE T_RPAP_ISRPA_LICENSE_BIND ADD (FUSERORGNAME VARCHAR(255) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_RPAP_ISRPA_LICENSE_BIND' AND KSQL_COL_NAME ='FLICENSE') 
 ALTER TABLE T_RPAP_ISRPA_LICENSE_BIND ADD (FLICENSE BIGINT DEFAULT 0 NOT NULL );

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\RPAP_table.sql **/
